import request from '@/apps/mobile/utils/request'

// 维保项 分页查询
export function queryPage(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceOptions/query-page',
        data,
    });
}

//  新增
export function addData(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceOptions/insert',
        data,
    });
}

// 删除
export function removeData(data) {
    return request({
        method: 'delete',
        url: '/api/maintenanceOptions/delete-batch',
        data,
    });
}

// 编辑
export function editData(data) {
    return request({
        method: 'put',
        url: '/api/maintenanceOptions/update',
        data,
    });
}

// 批量启用
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceOptions/useBath',
        data,
    });
}

// 批量关闭
export function noUseBath(data) {
    return request({
        method: 'post',
        url: '/api/maintenanceOptions/noUseBath',
        data,
    });
}